Results 1 to 15 of 15

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: I am on 4.2.1 want to upgrade to 4.3.3

  1. #1
    Default I am on 4.2.1 want to upgrade to 4.3.3
    Can this be done? I want to upgrade to 4.3.3 but NOT to 4.3.4... How do I do it?

  2. #2
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Do you have SHSH blobs saved for iOS 4.3.3?

  3. #3
    Quote Originally Posted by Mes View Post
    Do you have SHSH blobs saved for iOS 4.3.3?
    No I don't ... I will google that procedure.

    Quote Originally Posted by Mes View Post
    Do you have SHSH blobs saved for iOS 4.3.3?
    Don't I have to be on iOS 4.3.3 to save the SHSH blobs? I am on 4.2.1
    Last edited by BMW_ssg; 2011-07-21 at 03:14 AM.

  4. #4
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    No.Thats an outdated procedure. With Tiny Umbrella (see link below), SHSH blobs can be save for any version Apple is currently signing. TU can also query Cydia for SHSH blobs it may have already saved in your behalf.

    Note: In addition to the current iOS (4.3.4), you can restore to any iOS version in which you have saved SHSH blobs.

    Note2: This applies to iOS 4.0 and up, and 3GS and later iDevices. What is yours?
    Last edited by Mes; 2011-07-21 at 03:24 AM.

  5. #5

  6. #6
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    No. That procedure assumes it's on 4.3.3.

    Use the method I mentioned in my prior post.

  7. #7
    ok I am opening TU right now.

    ok So I have 4.2.1 and 4.3.3 saved. Now what do I do to move up to 4.3.3 ? and what wou;d you suggest to JB it?

    Thanks for all of your help!
    Last edited by BMW_ssg; 2011-07-21 at 03:41 AM.

  8. #8
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Lets get some housekeeping done:

    Type of phone?
    Type of computer?
    Current modem firmware / baseband?
    Need an unlock (using a non-authorized carrier)?

  9. #9
    iPhone 4
    Windows computer
    4.2.1 with 3.10.01
    and yes I need an unlock using a non-authorized carrier.

  10. #10
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Something is wrong with your answer.
    Are you currently unlocked ?

    If yes, the modem firmware version is incorrect.
    If no, 3.10.01 can not be unlocked at this time.

  11. #11
    Sorry, I miss understood. I am not unlocked but I am JB from greenpoison. I would like to unlock and JB if possible. if only a JB is available i am fine with that. I am on 3.10.01 BTW

    Thanks for your help by the way. I really appreciate it
    Last edited by BMW_ssg; 2011-07-21 at 04:19 AM.

  12. #12
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    You can only jailbreak today. Redsn0w + Tiny Umbrella's SHSH server will do the job.
    Give me a couple hours and I'll try to post more detailed instructions.

  13. #13
    ok great thanks, I am standing by

  14. #14
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    This is what you do :
    Download 4.3.3 ipsw
    Make sure you have the latest tiny umbrella version 5.00.06
    Make sure your 4.3.3 blob is in Tiny Umbrella.
    Start Tss Server.
    Run itunes : shift + restore in itunes and browse to stock 4.3.3

    Part One
    If you error at 1013,
    Download fix recovery 43 , the file is here
    If itunes is running , close it
    Put your iphone into normal dfu mode
    run fix recovery.
    Activate with valid sim
    Jailbreak it with Jailbreakme 3.0
    You can use Gevey sim to unlock.

    If you did not error at 1013,
    then you have successfully upgraded to 4.3.3 and you can skip Part One.

  15. The Following User Says Thank You to iYeow For This Useful Post:

    yusuf530i (2011-07-21)

  16. #15
    ok I will try this and report back as soon as I can. Thanks iYeow.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •